Description

Hi all,

Using the new vertex editor I often find it difficult to locate the vertex 

in map canvas. 

So I think to propose as follows:

- It is it possible to make 'vertex panel' able to delete vertex? 

- If it is possible this would work both for a vertex at a time 

  as for a series of vertices selected directly in the vertex panel

Thanks for your attention

Antonio

History

#1 - 2018-10-17 09:42 PM - Saber Razmjooei

- Tracker changed from Feature request to Bug report

- Subject changed from feature request: Please make vertex panel to be able to delete a vertex in QGIS 3 to Please make vertex panel to be able to 

delete a vertex in QGIS 3

- Affected QGIS version set to 3.3(master)

- Crashes QGIS or corrupts data set to No

- Regression? set to Yes

I mark this a bug, because in QGIS 2.18 it was possible to remove a vertex from panel.

#2 - 2018-10-18 07:28 AM - Saber Razmjooei

Here is the original ticket #13668

#3 - 2018-10-18 01:57 PM - Giovanni Manghi

- Priority changed from Normal to High

#4 - 2018-10-23 02:17 PM - Regis Haubourg

- Status changed from Open to Feedback
Works here nicely in commit:5e6eef3, using "DEL" key. 

Can you confirm and if necessary show a screencast of the context in which you fail to make it work?

#5 - 2018-10-23 04:50 PM - Antonio Viscomi

- File vetex.7z added

- File vetex.avi added

Regis Haubourg wrote:

Works here nicely in commit:5e6eef3, using "DEL" key. 

Can you confirm and if necessary show a screencast of the context in which you fail to make it work?

I confirm that issues appear on polygon about 520000 (FID=35) vertex in (in windows 7 in i7 4th gen. And 32GB ram) in this case when I try to delete the

vertex QGIS Master it freezes on the 5th vertex for about 5 minutes...

I'll attach the file and the screencast

in screencast:

when a vertex are selected (Hilighted) I hit a lot of times del but the vertex remain in panel while QGIS freezes

regards

#6 - 2018-10-23 04:54 PM - Antonio Viscomi

- File vetex.avi added

Antonio Viscomi wrote:

Regis Haubourg wrote:

Works here nicely in commit:5e6eef3, using "DEL" key. 

Can you confirm and if necessary show a screencast of the context in which you fail to make it work?

I confirm that issues appear on polygon about 520000 (FID=35) vertex in (in windows 7 in i7 4th gen. And 32GB ram) in this case when I try to

delete the vertex QGIS Master it freezes on the 5th vertex for about 5 minutes...

I'll attach the file and the screencast

in screencast:

when a vertex are selected (Hilighted) I hit a lot of times del but the vertex remain in panel while QGIS freezes

regards

sorry

previous screencast was corrupted

#7 - 2018-10-23 04:57 PM - Antonio Viscomi

- File vertex.7z added
and this is the correct file

#8 - 2018-10-23 08:40 PM - Antonio Viscomi

Regis Haubourg wrote:

Works here nicely in commit:5e6eef3, using "DEL" key.

Sorry Ragis, 

I think this commit is not related to this topic. 

I talk about editing vertex not about print layout

Regards

#9 - 2018-10-24 10:48 AM - Giovanni Manghi

Antonio Viscomi wrote:

I think this commit is not related to this topic. 

I talk about editing vertex not about print layout

I think he meant just to point that he tested with a master version that contained that commit as latest merged PR.

#10 - 2018-10-24 09:04 PM - Antonio Viscomi

Giovanni Manghi wrote:

Antonio Viscomi wrote:

I think this commit is not related to this topic. 

I talk about editing vertex not about print layout

I think he meant just to point that he tested with a master version that contained that commit as latest merged PR.

ah ok,

sorry for misunderstanding,

but the issues in screencast appear also in 0de984d7f9 that is today release

regards

#11 - 2018-10-27 05:40 PM - Giovanni Manghi

but the issues in screencast appear also in 0de984d7f9 that is today release

I cannot find this commit so I cannot say if is more recent that the one pointed by Regis. Please try with 3.4.
#12 - 2018-11-15 08:41 AM - Bernhard Ströbl

works for me in QGIS 3.4.1 on Ubuntu 16.04 (64 bit)

#13 - 2018-12-28 11:27 AM - Paolo Cavallini

I suggest closing this then.

#14 - 2019-01-14 11:47 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

vetex.avi 671 KB 2018-10-23 Antonio Viscomi

vetex.7z 59 Bytes 2018-10-23 Antonio Viscomi

vetex.avi 671 KB 2018-10-23 Antonio Viscomi

vertex.7z 3.6 MB 2018-10-23 Antonio Viscomi
